





.nav--desktop {
  position:relative;
  z-index:2;
  display:none;

  @include breakpoint($medium) {
    display:block;
    flex:1 1 100%;
    order:2;
  }

  @include breakpoint($large) {
    flex:1 1 auto;
    order:1;
  }

  .nav__marker {
    display:block;
    position:absolute;
    bottom:-1px;
    height:2px;
    background-color:#fff;
    width:0;
    left:0;
    opacity:0;
    z-index:1;
    transition:all ease 500ms;

    @include breakpoint($large) {
      bottom:-17px;
    }

    /*&.selected {
      background-color:$color-limeGreen;
    }*/

    &.hover {
      background-color:#fff;
    }

    &.visible {
      opacity:1;
    }

    &.invisible {
      transition:none;
    }

    &.animate {
      transition:all ease 500ms;
    }
  }

  > nav > ul {
    display:flex;
    align-items: center;
    height:$height-nav;

    @include breakpoint($medium) {
      margin-top:1rem;
    }

    @include breakpoint($large) {
      margin-left:50px;
      margin-top:0;
    }

    > li {
      //margin-right:0.3rem;
      //height: 100%;

      position:relative;
      text-align:center;
      transition:none;

      @include breakpoint($xlarge) {
        margin-right:1.6rem;
      }

      > a {
        transition:font-weight linear 50ms;
        white-space:nowrap;
        color:#fff;
        @include rhythm(16,16);
        font-weight:400;
        position:relative;
        z-index:4;
        height:100%;
        padding:0 0.9rem;
        display:flex;
        align-items:center;

        @include breakpoint($large) {
            padding:0 1rem
          }

        span:not(.icon) {
          display:block;
          @include breakpoint($medium) {
            height:100%;
            line-height:$height-nav;
          }
        }
      }

      &:first-child {
        > a {
          padding-left:0;

          @include breakpoint($large) {
            padding:0 0.9rem;
          }
        }

        .subNav_panel.visible{
          left:-1rem;

          @include breakpoint($large) {
            left:0;
          }
        }
      }

      .icon {
        margin-left: 0.4rem;
        width: 10px;

        svg {
          width:100% !important;
        }
      }

      &.selected {
        z-index:5;
        position:relative;

        a {
          font-weight:600;

          span:not(.icon) {
            position:relative;
            &:after {
              content:"";
              display:block;
              position:absolute;
              bottom:-1px;
              height:2px;
              width:104%;
              background-color:$color-limeGreen;
              left:-2%;
              z-index:1;

              @include breakpoint($large) {
                bottom:-17px;
              }
            }
          }
        }

        &.hasChildren{
          a{
            span:not(.icon){
              &:after{
                width:calc(104% + 10px + 0.4rem);
              }
            }
          }
        }

      }

      &.active {
        z-index:10;

        &.selected{
          a {
            span:not(.icon) {
              &:after {
                display:none;
                }
              }
            }
        }

        a {
          color:$text-color;

          .icon {
            path {
              fill:#000 !important;
            }
          }
        }

        ul li a {
          color:$link-color;
        }

        &:after {
         opacity:1;
        }
      }
    }
  }

  &.invertColours {
    ul {
      li {
        a {
          color:$text-color;
          svg {
            path {
              fill:$text-color;
            }
          }
        }
      }
    }

    .nav__marker {
      background-color:$text-color;
    }
  }
}
